Misc information
Implementation internals » Information gathering

Misc information functions. More...

## Functions

void | hd_scan_misc (hd_data_t *hd_data)
void | hd_scan_misc2 (hd_data_t *hd_data)
static void | read_ioports (misc_t *m)
static void | read_dmas (misc_t *m)
static void | read_irqs (misc_t *m)
void | gather_resources (misc_t *m, hd_res_t **r, char *name, unsigned which)
static int | active_vga_card (hd_t *)
static void | dump_misc_proc_data (hd_data_t *hd_data)
static void | dump_misc_data (hd_data_t *hd_data)

## Detailed Description

Misc information functions.

## Function Documentation

## active_vga_card()

int active_vga_card | ( | hd_t * | hd | ) |

static

References s_hd_t::bus, bus_pci, res_io_t::enabled, res_mem_t::enabled, hd_id_t::id, u_hd_res_t::io, u_hd_res_t::mem, u_hd_res_t::next, s_hd_t::res, res_io, res_mem, res_io_t::type, and res_mem_t::type.

Referenced by hd_scan_misc2().

## dump_misc_data()

void dump_misc_data | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, misc_io_t::addr, misc_dma_t::channel, misc_dma_t::dev, misc_io_t::dev, misc_irq_t::dev, misc_irq_t::devs, misc_t::dma, misc_t::dma_len, misc_irq_t::events, hd_data, misc_t::io, misc_t::io_len, misc_irq_t::irq, misc_t::irq, misc_t::irq_len, misc_io_t::size, misc_dma_t::tag, misc_io_t::tag, and misc_irq_t::tag.

Referenced by hd_scan_misc2().

## dump_misc_proc_data()

void dump_misc_proc_data | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, hd_data, s_str_list_t::next, and s_str_list_t::str.

Referenced by hd_scan_misc().

## gather_resources()

void gather_resources | ( | misc_t * | m,
|  | hd_res_t ** | r,
|  | char * | name,
|  | unsigned | which )

References acc_rw, res_io_t::access, add_res_entry(), misc_io_t::addr, res_dma_t::base, res_io_t::base, res_irq_t::base, misc_dma_t::channel, misc_dma_t::dev, misc_io_t::dev, misc_irq_t::dev, misc_irq_t::devs, misc_t::dma, u_hd_res_t::dma, misc_t::dma_len, res_dma_t::enabled, res_io_t::enabled, res_irq_t::enabled, misc_irq_t::events, misc_t::io, u_hd_res_t::io, misc_t::io_len, misc_irq_t::irq, misc_t::irq, u_hd_res_t::irq, misc_t::irq_len, new_mem(), res_io_t::range, res_dma, res_io, res_irq, misc_io_t::size, misc_dma_t::tag, misc_io_t::tag, misc_irq_t::tag, res_irq_t::triggered, res_dma_t::type, res_io_t::type, res_irq_t::type, W_DMA, W_IO, and W_IRQ.

Referenced by hd_scan_misc(), and hd_scan_misc2().

## hd_scan_misc()

void hd_scan_misc | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, add_hd_entry(), add_res_entry(), u_hd_res_t::any, s_hd_t::base_class, bc_comm, bc_input, bc_internal, bc_ps2, bc_storage, bc_storage_device, bc_system, hd_detail_t::bios, s_hd_t::block0, res_disk_geo_t::cyls, hd_detail_bios_t::data, s_hd_t::detail, DEV_PSAUX, u_hd_res_t::disk_geo, dump_misc_proc_data(), free_mem(), free_misc(), gather_resources(), geo_logical, res_disk_geo_t::geotype, hd_data, HD_DEB_MISC, hd_detail_bios, hd_probe_feature(), res_disk_geo_t::heads, hd_id_t::id, s_hd_t::idx, s_hd_t::is, load_module(), load_module_with_params(), mod_misc, new_mem(), s_hd_t::next, u_hd_res_t::next, s_hd_t::is_s::notready, bios_info_t::par_port0, bios_info_t::par_port1, bios_info_t::par_port2, pr_misc, pr_misc_floppy, pr_misc_par, pr_misc_serial, PROGRESS, read_block0(), read_dmas(), read_ioports(), read_irqs(), read_klog(), s_hd_t::tag_s::remove, remove_hd_entries(), remove_tagged_hd_entries(), s_hd_t::res, res_disk_geo, res_size, sc_com_par, sc_inp_keyb, sc_int_bios, sc_int_fpu, sc_sdev_floppy, sc_sto_floppy, sc_sys_dma, sc_sys_pic, sc_sys_rtc, sc_sys_timer, res_disk_geo_t::sectors, u_hd_res_t::size, size_unit_sectors, str_printf(), s_hd_t::sub_class, s_hd_t::tag, hd_detail_t::type, res_any_t::type, res_disk_geo_t::type, res_size_t::type, res_size_t::unit, s_hd_t::unix_dev_name, unload_module(), res_size_t::val1, res_size_t::val2, W_DMA, and W_IRQ.

Referenced by hd_scan_no_hal().

## hd_scan_misc2()

void hd_scan_misc2 | ( | hd_data_t * | hd_data | ) |

References active_vga_card(), ADD2LOG, add_hd_entry(), add_res_entry(), misc_io_t::addr, u_hd_res_t::any, res_io_t::base, res_irq_t::base, s_hd_t::base_class, bc_comm, bc_display, bc_storage, dump_misc_data(), misc_irq_t::events, free_res_list(), gather_resources(), have_common_res(), hd_data, HD_DEB_MISC, hd_probe_feature(), hd_id_t::id, s_hd_t::idx, misc_t::io, u_hd_res_t::io, misc_t::io_len, misc_irq_t::irq, misc_t::irq, u_hd_res_t::irq, misc_t::irq_len, join_res_dma(), join_res_io(), join_res_irq(), mod_misc, new_mem(), s_hd_t::next, u_hd_res_t::next, pr_misc, s_hd_t::prog_if, PROGRESS, res_io_t::range, s_hd_t::res, res_any, res_io, res_irq, sc_com_ser, sc_dis_vga, sc_sto_ide, misc_io_t::size, s_hd_t::sub_class, res_irq_t::triggered, res_any_t::type, res_io_t::type, and res_irq_t::type.

Referenced by hd_scan_no_hal().

## read_dmas()

void read_dmas | ( | misc_t * | m | ) |

static

References add_mem(), misc_dma_t::channel, misc_dma_t::dev, misc_t::dma, misc_t::dma_len, new_str(), s_str_list_t::next, PROC_DMA, misc_t::proc_dma, read_file(), and s_str_list_t::str.

Referenced by hd_scan_misc().

## read_ioports()

void read_ioports | ( | misc_t * | m | ) |

static

References add_mem(), misc_io_t::addr, misc_io_t::dev, misc_t::io, misc_t::io_len, new_str(), s_str_list_t::next, misc_t::proc_io, PROC_IOPORTS, read_file(), misc_io_t::size, and s_str_list_t::str.

Referenced by hd_scan_misc().

## read_irqs()

void read_irqs | ( | misc_t * | m | ) |

static

References add_mem(), misc_irq_t::dev, misc_irq_t::devs, misc_irq_t::events, misc_irq_t::irq, misc_t::irq, misc_t::irq_len, new_str(), s_str_list_t::next, PROC_INTERRUPTS, misc_t::proc_irq, read_file(), and s_str_list_t::str.

Referenced by hd_scan_misc().